{% import "macro/form.twig" as form %}
<div class="container-fluid form-group">

	{% if show.objective %}
		<form method="post">
			{{form.hidden("page","objective")}}
			<button class="btn btn-primary fr">Objective</button>
		</form>
	{% endif %}
	{% if show.subjective %}
		<form method="post">
			{{form.hidden("page","subjective")}}
			<button class="btn btn-primary fr">Subjective</button>
		</form>
	{% endif %}
	<h2>Answers of Objective Questions
		{{qpinfo[3]}}
	</h2>
	
	<hr>
	{% if answers is defined %}
		<form method="post">
			{{form.hidden("category",qpinfo[0])}}
			{{form.hidden("subject",qpinfo[2])}}
			{{form.hidden("title",qpinfo[3])}}
			{{form.hidden("type",qpinfo[4])}}
			{{form.hidden("page","objective")}}
			{{form.hidden("action","update-ans")}}
			<table class='table tbl-responsive'>

				<tr>
					<th style='text-align:center'>Question</th>
					<th style='text-align:center'>Answer</th>
					<th style='text-align:center'>Correct Marks</th>
					<th style='text-align:center'>Wrong Marks</th>
					<th style='text-align:center'>Unattempted Marks</th>
				</tr>
				{% for ans in answers %}
					<tr class='ans'>
						<td>
							<b style='font-size:18px;'>
								<center>{{ans.qno}}</center>
							</b>
						</td>
						<td>
							<input type="text" name="q{{ans.qno}}" value="{{ans.ans}}" class="form-conrol">
						</td>
						<td><input class="form-control" name="coq{{ans.qno}}" type="number" value='{{ans.marks[0]}}'></td>
						<td><input class="form-control" name="wrq{{ans.qno}}" type="number" value='{{ans.marks[2]}}'></td>
						<td><input class="form-control" name="uaq{{ans.qno}}" type="number" value='{{ans.marks[1]}}'></td>
					</tr>
				{% endfor %}
			</table>
			<button class="btn btn-primary fr">Save</button>
		</form>

	{% else %}

		{% if quest =='' %}
			<form method="post">
				<div class="row">
					<div class="form-group col-md-12">
						{{form.hidden("page","objective")}}
						{{form.input("Enter Total Number of Questions","quest","1","number")}}
						<button class="btn btn-primary fr">Add Answers</button>
					</div>
				</div>
			</form>
		{% else %}
			<form action="" method="post">
				<div class="row">
					<div class="form-group col-md-12" style='padding:0 50px'>
						{{form.hidden("category",qpinfo[0])}}
						{{form.hidden("subject",qpinfo[2])}}
						{{form.hidden("title",qpinfo[3])}}
						{{form.hidden("type",qpinfo[4])}}
						{{form.hidden("page","objective")}}
						{{form.hidden("action","add-ans")}}
						<div class="row">
							<div style='flex-basis:20%'></div>
							<div style='flex-basis:20%'>Ans</div>
							<div style='flex-basis:20%'>Marks (correct)</div>
							<div style='flex-basis:20%'>Marks (unattempted)</div>
							<div style='flex-basis:20%'>Marks (Wrong)</div>
						</div>
						{% for i in 1 .. quest %}
							{{form.obans("Ans "~i,"q"~i,"")}}
						{% endfor %}
						<button class="btn btn-primary fr">Save</button>
					</div>
				</div>
			</form>
		</div>
	{% endif %}

{% endif %}
<script>
document.onkeydown = checkKey;

function checkKey(e) {
		e = e || window.event;
		var elm=document.querySelector("input:focus").name;
		let qno;
			if(elm.startsWith("q")){
				var curq=elm.split("q");
				qno=parseInt(curq[1]);
			}
    if (e.keyCode == '38') {
			qno--;
			if(document.querySelector("[name=q"+qno+"]")!=null)
			document.querySelector("[name=q"+qno+"]").focus();
    }
    else if (e.keyCode == '40') {
        qno++;
			if(document.querySelector("[name=q"+qno+"]")!=null)
			document.querySelector("[name=q"+qno+"]").focus();
    }

}
</script>